regina::detail::WeakFaceListSuite< dim, subdim > Class Template Reference
Implementation details

Internal class that helps a component or boundary component store its lists of faces. More...

`#include <triangulation/detail/boundarycomponent.h>`

Inheritance diagram for regina::detail::WeakFaceListSuite< dim, subdim >:

## Protected Member Functions

template<int tridim>
void | reorderAndRelabelFaces (Triangulation< tridim > *tri, const std::vector< Face< dim, tridim > * > &tridimFaces) const
| Reorders and relabels all faces of all dimensions 0,...,subdim of the given triangulation, so that for each k, the k-faces of the given triangulation appear in the same order as the corresponding k-faces in this suite, and have their vertices numbered in a corresponding way. More...

## Protected Attributes

std::vector< Face< dim, subdim > * > | faces_
| The list of faces. More...

## Detailed Description

### template<int dim, int subdim>
class regina::detail::WeakFaceListSuite< dim, subdim >

Internal class that helps a component or boundary component store its lists of faces.

This class is used with dim-dimensional triangulations. It provides storage for faces of all dimensions subdim and below.

Python:\n Not present.

Template Parameters

  dim | the dimension of the underlying triangulation. This must be between 2 and 15 inclusive.
  subdim | the maximum dimension of the faces that this class stores. This must be between 0 and dim-1 inclusive.

The documentation for this class was generated from the following file:

- triangulation/detail/boundarycomponent.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).